get
/api/v2/sitemap/urlsList discovered sitemap URLs.
List discovered sitemap URLs.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
limit
query
No description provided.
Schema: string
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": false,
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string"
},
"projectId": {
"type": "string"
},
"url": {
"type": "string"
},
"httpStatus": {
"type": "integer",
"nullable": true
},
"contentType": {
"type": "string",
"nullable": true
},
"title": {
"type": "string",
"nullable": true
},
"markdown": {
"type": "string",
"nullable": true
},
"firstSeenAt": {
"type": "string",
"format": "date-time"
},
"lastCrawledAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"crawlAttempts": {
"type": "integer"
}
},
"required": [
"id",
"projectId",
"url",
"firstSeenAt",
"crawlAttempts"
]
}
}
},
"required": [
"items"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.